<?php
/**
 *  Exit if accessed directly
 *
 * @package  Wt_Sl_Facebook_Settings
 * @version  1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Wt_Sl_Facebook_Settings.
 *
 * @since 1.0.0
 * @return output html
 */
class Wt_Sl_Facebook_Settings {

	/**
	 * Wt_sl_fb_enable.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_sl_fb_enable() {
			/* Translators: %s Docs URL. */
			echo wp_kses_post( sprintf( __( '<p> You need to create a <a href="%s" target="_blank">Facebook application</a> prior to start using the Facebook for social login. </p>', 'wt-social-login' ), 'https://developers.facebook.com/apps/' ) );

	}

	/**
	 * Wt_social_login_enable_facebook.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_enable_facebook() {
		echo '<input value="1" type="checkbox" id="wt_social_login_enable_facebook" name="wt_social_login_enable_facebook" ' . checked( 1, get_option( 'wt_social_login_enable_facebook' ), false ) . ' />';
	}

	/**
	 * Wt_social_login_facebook_app_id.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_facebook_app_id() {
		$wt_social_login_facebook_app_id = get_option( 'wt_social_login_facebook_app_id' );
		echo '<input type="text" name="wt_social_login_facebook_app_id" id="wt_social_login_facebook_app_id" value="' . esc_attr( $wt_social_login_facebook_app_id ) . '">';
	}

	/**
	 * Wt_social_login_facebook_app_secret.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_facebook_app_secret() {
		$wt_social_login_facebook_app_secret = get_option( 'wt_social_login_facebook_app_secret' );
		echo '<input type="text" name="wt_social_login_facebook_app_secret" id="wt_social_login_facebook_app_secret" value="' . esc_attr( $wt_social_login_facebook_app_secret ) . '">';
	}

	/**
	 * Wt_social_login_facebook_outh_url.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_facebook_outh_url() {
		$wt_social_login_facebook_outh_url = get_option( 'wt_social_login_facebook_outh_url' );
		echo '<input type="text" name="wt_social_login_facebook_outh_url" id="wt_social_login_facebook_outh_url" value="' . esc_attr( $wt_social_login_facebook_outh_url ) . '">';
	}

	/**
	 * Wt_social_login_facebook_app_instructions.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public static function wt_social_login_facebook_app_instructions() {
		?>
		<div class="sl-app-instruction">
			<h2 class="title">Create Facebook App</h2>
			<ol>
				<li><?php printf(__('Goto %s', 'wt-social-login'), '<a href="https://developers.facebook.com/apps/" target="_blank">Facebook For Developers</a>'); ?></li>
				<li><?php _e('Log in with your Facebook credentials.', 'wt-social-login'); ?></li>
				<li><?php _e('Click on the "<b>Create App</b>" button and in the Popup choose the "<b>Build Connected Experiences</b>" option.', 'wt-social-login'); ?></li>
				<li><?php _e('If you see the message "<b>Become a Facebook Developer</b>", then you need to click on the green "<b>Register Now</b>" button, fill the form then finally verify your account.', 'wt-social-login'); ?></li>
				<li><?php printf(__('Fill "<b>App Display Name</b>", "<b>App Contact Email</b>". The specified "App Display Name" will appear on your %s.', 'wt-social-login'), '<a href="https://developers.facebook.com/docs/facebook-login/permissions/overview/" target="_blank">Consent Screen</a>'); ?></li>
				<li><?php _e('<b>Optional</b>: choose a "<b>Business Manager Account</b>" in the popup, if you have any.', 'wt-social-login'); ?></li>
				<li><?php _e('Click the "<b>Create App ID</b>" button and complete the Security Check.', 'wt-social-login'); ?></li>
				<li><?php printf(__('At the "<b>Add Products to Your App</b>" panel find "<b>%1$s</b>" and click "<b>Set Up</b>".', 'wt-social-login'), 'Facebook Login', 'Settings') ?></li>
				<li><?php _e('Select "<b>Web</b>" and enter your site URL to the "<b>Site URL</b>" field.', 'wt-social-login'); ?></li>
				<li><?php _e('Press “<b>Save</b>”', 'wt-social-login'); ?></li>
				<li><?php printf(__('Click on the “<b>%1$s</b>” option what you find on the left side, under “<b>%2$s</b> - <b>%3$s</b>”', 'wt-social-login'), 'Settings', 'Products', 'Facebook Login') ?></li>
				<li><?php printf(__('Add a redirect URL to the "<b>Valid OAuth redirect URIs</b>" field and also add this in the "<b>Facebook Valid OAuth Redirect URL</b>" field of the plugin. eg: <b>%s</b>', 'wt-social-login'), 'https://mydomain.com/wp-login.php'); ?></li>
				<li><?php _e('Click on “<b>Save Changes</b>”', 'wt-social-login'); ?></li>
				<li><?php printf(__('On the top left side, click on the “<b>%1$s</b>” menu point, then click “<b>%2$s</b>”', 'wt-social-login'), 'Settings', 'Basic') ?></li>
				<li><?php printf(__('Enter your domain name to the "<b>App Domains</b>" field, eg: <b>%s</b>', 'wt-social-login'), 'mydomain.com'); ?></li>
				<li><?php _e('Fill up the "<b>Privacy Policy URL</b>" field. Provide a publicly available and easily accessible privacy policy that explains what data you are collecting and how you will use that data.', 'wt-social-login'); ?></li>
				<li><?php _e('Select a “<b>Category</b>”, an “<b>App Icon</b>” and pick the “<b>App Purpose</b>” option that describes your App the best, then press "<b>Save Changes</b>"', 'wt-social-login'); ?></li>
				<li><?php _e('Your application is currently private, which means that only you can log in with it. In the top bar click on the switch next to the "<b>In development</b>" label, then click the "<b>Switch Mode</b>" button.', 'wt-social-login'); ?></li>
				<li><?php printf(__('At the top of the page you can find your "<b>App ID</b>" & "<b>App secret</b>". Copy the codes.', 'wt-social-login'), 'Settings', 'Basic') ?></li>
				<li><?php _e('Paste the "<b>App ID</b>" & "<b>App secret</b>" values to the "<b>Facebook App ID/API Key</b>" & "<b>Facebook App Secret</b>" fields of the plugin respectively.', 'wt-social-login'); ?></li>
			</ol>
		</div>

		<?php
	}

}
